# Metro Link

The Metro Link API allows users to initiate a transaction by submitting a POST request. This API requires user authentication through a token and supports transactions with specified parameters, such as the **username, mobile number, amount, and a reference**. The API response indicates the status of the operation and provides information about credits available and consumed.

Operator Id **(51) Metro Link**

#### Service Params: <a href="#service-params" id="service-params"></a>

* **Username Regex :** (\[a-zA-Z0-9\_]+)

#### How To Use:

1. **Identify the Operator**:
   * First, use the [Operator Lookup API ](/additional-nepal-apis/operator-lookup.md)to get the correct operator based on user input or selection.
2. **Determine Operator Type**:
   * Use the [Operator Type Lookup API ](/additional-nepal-apis/operator-type-lookup.md)to confirm the type (e.g., Mobile, DTH, Internet, etc).
3. **Mobile Number**
   * Nepali 10 digit Number registered with virtual Network
4. **Valid Amount to pass:**
   * &#x20;**Amount should be between Rs. 100 and Rs. 10,000.**
5. **Initiate Recharge**:
   * Once you have obtained all the required details (operator, type), you can use the API to initiate a recharge request.

## Execute the recharge for East Link

<mark style="color:green;">`POST`</mark> `/np/recharge/execute`

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |
| x-auth-token | `<token>`          |
| Accept       | `application/json` |

**Body**

| Name               | Type   | Description                                    |
| ------------------ | ------ | ---------------------------------------------- |
| `operator_id`      | number | The ID of the operator for the recharge.       |
| `operator_type_id` | number | The type ID of the operator.                   |
| `connection_no`    | string | Username provided by metrolink                 |
| `mobile_number`    | string | 10 digit Nepali registered number              |
| `reference_no`     | number | The unique reference number for the recharge.  |
| `amount`           | number | Amount of bill to be paid between 100 to 10000 |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "error": false,
  "message": "Additional message about the recharge"
 "data" : [
  "transaction_id" => "Transaction ID of the recharge e.g 12345",
  "reference_no"   => "Unique reference number provided by you for later reference",
  "amount"         => "Amount for which recharge has been done",
  "credit_consumed": 
       {
          "service_charge": " Processing fees charged by Company e.g 0.5 ",
          "instant_discount": " Any Discount Offered by Company e.g 0.2 ",
          "debit_amount": " Recharged amount + Service charge - instant discount e.g 10.3 "
        },
   "credit_available": "Available wallet balance after transaction e.g 8313.58",
   "status"         => "Status of the recharge e.g queued, success,failed, etc"
 ]
}
```

{% endtab %}

{% tab title="4XX/5XX" %}

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "description": "The status of the recharge execution."
    },
    "message": {
      "type": "string",
      "description": "A message providing additional information about the recharge execution."
    },
     "data": {
      "type": "error",
      "description": "Blank array in case of error"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.globaltopup.in/nepal-recharge/internet/single-step-internet/metro-link.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
